
Redmine - Defect #35087

Users without two-factor authentication enabled cannot sign out when two-factor authentication is

required

2021-04-14 04:25 - Go MAEDA

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Accounts / authentication Estimated time: 0.00 hour

Target version: 4.2.1   

Resolution: Fixed Affected version:  

Description

The issue was originally reported in #35086.

Suppose a Redmine instance that projects are public and can be accessed without authentication. You were logged in to Redmine,

and one day the admin set two-factor authentication to be required.

But suppose that you want to access the Redmine as an anonymous user without enabling two-factor authentication. So you will try

to sign out, but when you click the "Sign out" link, you will get a page asking you to enable two-factor authentication and you cannot

sign out. Therefore, the only way for you to access the Redmine as an anonymous user is to delete a cookie or use a different

browser.

Related issues:

Related to Redmine - Feature #35086: Please consider changing the way how 2FA... Closed

Associated revisions

Revision 20949 - 2021-04-16 04:27 - Go MAEDA

Users without two-factor authentication enabled cannot sign out when two-factor authentication is required (#35087).

Patch by Go MAEDA.

Revision 20950 - 2021-04-18 07:39 - Go MAEDA

Merged r20949 from trunk to 4.2-stable (#35087).

History

#1 - 2021-04-14 04:27 - Go MAEDA

- File 35087.patch added

The attached patch fixes the issue.

#2 - 2021-04-14 04:28 - Go MAEDA

- Related to Feature #35086: Please consider changing the way how 2FA is set up added

#3 - 2021-04-15 02:29 - Go MAEDA

- Target version set to 4.2.1

Setting the target version to 4.2.1.

#4 - 2021-04-16 04:27 - Go MAEDA

- Status changed from New to Resolved

- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the patch.

#5 - 2021-04-18 07:39 - Go MAEDA
- Status changed from Resolved to Closed

Files

35087.patch 1.34 KB 2021-04-14 Go MAEDA
